{
  config,
  lib,
  ...
}:

let
  inherit (lib) mkDefault;
in
{
  imports = [
    ./packages.nix
    ./shellAliases.nix
    ./zsh.nix

    ../../shared/common
  ];

  programs.home-manager.enable = true;

  home.homeDirectory = mkDefault "/home/${config.home.username}";

  # Nicely reload system units when changing configs
  systemd.user.startServices = "sd-switch";

  # JSON formatted list of Home Manager options
  manual.json.enable = true;

  news.display = "silent";
}
